View Issue Details

IDProjectCategoryView StatusLast Update
0013968LazarusLCLpublic2011-12-01 11:23
ReporterMartin FriebeAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013968: Scrollbars: SIF_DISABLENOSCROLL does not work for Gtk1/2
DescriptionActually GTK ignore the absence of this flag.

If the flag is set a scrollbar will/should be displayed disabled, if it is set to params that can/need not scroll. (this works)

If it's absence like this:
    ScrollInfo.fMask := ScrollInfo.fMask and not SIF_DISABLENOSCROLL;
    SetScrollInfo(Handle, SB_HORZ, ScrollInfo, True);

it should hide the scrollbar, if it is not needed.
Under GTK (both) the scrollbar ignores the absence of this flag, it simply is displayed as disabled.

No idea what other widgetsets are doing => it works under windows
TagsNo tags attached.
Fixed in Revision23696
LazTarget1.0
WidgetsetGTK, GTK 2
Attached Files

Relationships

parent of 0015673 closedJesus Reyes HTML tooltips not fully readable 

Activities

Jesus Reyes

2010-02-12 07:46

developer   ~0034404

Hidding scrollbars is fixed, but the disabled look of scrollbars is maybe not possible under gtk

Issue History

Date Modified Username Field Change
2009-06-12 13:51 Martin Friebe New Issue
2009-06-12 13:51 Martin Friebe LazTarget => -
2009-06-12 13:51 Martin Friebe Widgetset => GTK, GTK 2
2009-06-12 13:55 Vincent Snijders LazTarget - => 1.0
2009-06-12 13:55 Vincent Snijders Status new => acknowledged
2009-06-12 13:55 Vincent Snijders Target Version => 1.0.0
2010-02-10 02:33 Jesus Reyes Relationship added related to 0015673
2010-02-12 07:43 Jesus Reyes Status acknowledged => assigned
2010-02-12 07:43 Jesus Reyes Assigned To => Jesus Reyes
2010-02-12 07:46 Jesus Reyes Fixed in Revision => 23696
2010-02-12 07:46 Jesus Reyes Status assigned => resolved
2010-02-12 07:46 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-02-12 07:46 Jesus Reyes Resolution open => fixed
2010-02-12 07:46 Jesus Reyes Note Added: 0034404
2010-02-12 07:47 Jesus Reyes Relationship deleted related to 0015673
2010-02-12 07:47 Jesus Reyes Relationship added parent of 0015673
2011-12-01 11:23 Marc Weustink Status resolved => closed